Issue #1503 - initial commit for build of Qpid 0.18 rpms

-created a qpid service script

Change-Id: I380333efad2954e7a9b6d1b27dc8a497cf38acf3

Former-commit-id: 7b4935a0ef [formerly ec584b4d4b] [formerly ff34587e94] [formerly 7b4935a0ef [formerly ec584b4d4b] [formerly ff34587e94] [formerly 54697ff658 [formerly ff34587e94 [formerly ee5806c98eb57680403e4f7768f92af1faa75de4]]]]
Former-commit-id: 54697ff658
Former-commit-id: f8e120a219 [formerly 45dd0b02ff] [formerly 32df1491d555132dea478823ea8d5513fb36a0d5 [formerly 0cf405d8d9]]
Former-commit-id: 82ecdb55cbcc1cd43992ca51e32b92ab48329fec [formerly ce2d246314]
Former-commit-id: b7f7312c7d
This commit is contained in:
Bryan Kowal 2013-01-24 10:40:52 -06:00
parent 8988ae04c2
commit 1ecf83c57c
36 changed files with 5568 additions and 34 deletions

View file

@ -0,0 +1,163 @@
diff -crB a/qpid/java/broker/bin/qpid-passwd b/qpid/java/broker/bin/qpid-passwd
*** a/qpid/java/broker/bin/qpid-passwd 2013-01-23 14:34:46.000000000 -0600
--- b/qpid/java/broker/bin/qpid-passwd 2013-01-23 14:33:48.000000000 -0600
***************
*** 24,30 ****
fi
# Set classpath to include Qpid jar with all required jars in manifest
! QPID_LIBS=$QPID_HOME/lib/qpid-all.jar
# Set other variables used by the qpid-run script before calling
export JAVA=java \
--- 24,30 ----
fi
# Set classpath to include Qpid jar with all required jars in manifest
! QPID_LIBS="$QPID_HOME/lib/qpid-all.jar:$QPID_HOME/lib/opt/*:$QPID_HOME/lib/opt/qpid-deps/*"
# Set other variables used by the qpid-run script before calling
export JAVA=java \
diff -crB a/qpid/java/broker/bin/qpid-server b/qpid/java/broker/bin/qpid-server
*** a/qpid/java/broker/bin/qpid-server 2013-01-23 14:34:46.000000000 -0600
--- b/qpid/java/broker/bin/qpid-server 2013-01-23 14:33:48.000000000 -0600
***************
*** 23,30 ****
fi
if [ -z "$QPID_WORK" ]; then
! echo "Setting QPID_WORK to $HOME as default"
! QPID_WORK=$HOME
fi
# Set to help us get round the manifold problems of ps/pgrep on various
--- 23,29 ----
fi
if [ -z "$QPID_WORK" ]; then
! export QPID_WORK=$QPID_HOME
fi
# Set to help us get round the manifold problems of ps/pgrep on various
***************
*** 34,40 ****
fi
# Set classpath to include the qpid-all manifest jar, and any jars supplied in lib/opt
! QPID_LIBS="$QPID_HOME/lib/qpid-all.jar:$QPID_HOME/lib/opt/*"
# Set other variables used by the qpid-run script before calling
export JAVA=java \
--- 33,39 ----
fi
# Set classpath to include the qpid-all manifest jar, and any jars supplied in lib/opt
! QPID_LIBS="$QPID_HOME/lib/qpid-all.jar:$QPID_HOME/lib/opt/*:$QPID_HOME/lib/opt/qpid-deps/*"
# Set other variables used by the qpid-run script before calling
export JAVA=java \
diff -crB a/qpid/java/build.deps b/qpid/java/build.deps
*** a/qpid/java/build.deps 2013-01-23 13:54:15.000000000 -0600
--- b/qpid/java/build.deps 2013-01-23 13:52:28.000000000 -0600
***************
*** 19,29 ****
commons-beanutils-core=lib/required/commons-beanutils-core-1.8.3.jar
commons-cli=lib/required/commons-cli-1.2.jar
! commons-codec=lib/required/commons-codec-1.6.jar
commons-collections=lib/required/commons-collections-3.2.1.jar
! commons-configuration=lib/required/commons-configuration-1.8.jar
commons-digester=lib/required/commons-digester-1.8.1.jar
! commons-lang=lib/required/commons-lang-2.6.jar
commons-logging=lib/required/commons-logging-1.1.1.jar
derby-db=lib/required/derby-10.8.2.2.jar
--- 19,29 ----
commons-beanutils-core=lib/required/commons-beanutils-core-1.8.3.jar
commons-cli=lib/required/commons-cli-1.2.jar
! commons-codec=lib/required/commons-codec-1.4.jar
commons-collections=lib/required/commons-collections-3.2.1.jar
! commons-configuration=lib/required/commons-configuration-1.6.jar
commons-digester=lib/required/commons-digester-1.8.1.jar
! commons-lang=lib/required/commons-lang-2.3.jar
commons-logging=lib/required/commons-logging-1.1.1.jar
derby-db=lib/required/derby-10.8.2.2.jar
***************
*** 45,51 ****
slf4j-api=lib/required/slf4j-api-1.6.4.jar
slf4j-log4j=lib/required/slf4j-log4j12-1.6.4.jar
! xalan=lib/required/xalan-2.7.0.jar
jetty=lib/required/jetty-server-7.6.3.v20120416.jar
jetty-continuation=lib/required/jetty-continuation-7.6.3.v20120416.jar
--- 45,51 ----
slf4j-api=lib/required/slf4j-api-1.6.4.jar
slf4j-log4j=lib/required/slf4j-log4j12-1.6.4.jar
! xalan=lib/required/xalan-2.7.1.jar
jetty=lib/required/jetty-server-7.6.3.v20120416.jar
jetty-continuation=lib/required/jetty-continuation-7.6.3.v20120416.jar
***************
*** 63,70 ****
felix.libs=${felix-main}
! jackson-core=lib/required/jackson-core-asl-1.9.0.jar
! jackson-mapper=lib/required/jackson-mapper-asl-1.9.0.jar
commons-configuration.libs = ${commons-beanutils-core} ${commons-digester} \
${commons-codec} ${commons-lang} ${commons-collections} ${commons-configuration}
--- 63,70 ----
felix.libs=${felix-main}
! jackson-core=lib/required/jackson-core-asl-1.7.3.jar
! jackson-mapper=lib/required/jackson-mapper-asl-1.7.3.jar
commons-configuration.libs = ${commons-beanutils-core} ${commons-digester} \
${commons-codec} ${commons-lang} ${commons-collections} ${commons-configuration}
diff -crB a/qpid/java/common/bin/qpid-jaddr b/qpid/java/common/bin/qpid-jaddr
*** a/qpid/java/common/bin/qpid-jaddr 2013-01-23 14:41:58.000000000 -0600
--- b/qpid/java/common/bin/qpid-jaddr 2013-01-23 14:40:35.000000000 -0600
***************
*** 24,30 ****
fi
# Set classpath to include Qpid jar with all required jars in manifest
! QPID_LIBS=$QPID_HOME/lib/qpid-all.jar
# Set other variables used by the qpid-run script before calling
export JAVA=java \
--- 24,30 ----
fi
# Set classpath to include Qpid jar with all required jars in manifest
! QPID_LIBS="$QPID_HOME/lib/qpid-all.jar:$QPID_HOME/lib/opt/*:$QPID_HOME/lib/opt/qpid-deps/*"
# Set other variables used by the qpid-run script before calling
export JAVA=java \
diff -crB a/qpid/java/common/bin/qpid-run b/qpid/java/common/bin/qpid-run
*** a/qpid/java/common/bin/qpid-run 2013-01-23 14:41:58.000000000 -0600
--- b/qpid/java/common/bin/qpid-run 2013-01-23 14:40:35.000000000 -0600
***************
*** 62,69 ****
fi
if [ -z "$QPID_WORK" ]; then
! log $INFO Setting QPID_WORK to $HOME as default
! QPID_WORK=$HOME
fi
if [ -z "$JAVA" ]; then
--- 62,68 ----
fi
if [ -z "$QPID_WORK" ]; then
! QPID_WORK=$QPID_HOME
fi
if [ -z "$JAVA" ]; then

View file

@ -0,0 +1,172 @@
#!/bin/bash
#
# awips2-qpid This script will start and stop the AWIPS II
# Qpid instance.
# description: Qpid 0.18
# processname: qpid-server
# config: /awips2/qpid/etc/config.xml
# Source function library
. /etc/rc.d/init.d/functions
# Source networking configuration.
. /etc/sysconfig/network
# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 0
_QPID_USER="awips"
_QPID_SERVER=qpid-server
_QPID_STOPALL=qpid.stopall
JAVA_INSTALL="/awips2/java"
QPID_INSTALL="/awips2/qpid"
_QPID_LOG_DIRECTORY="${QPID_INSTALL}/log"
if [ ! -d ${_QPID_LOG_DIRECTORY} ]; then
mkdir -p ${_QPID_LOG_DIRECTORY}
chown -R ${_QPID_USER}:fxalpha ${_QPID_LOG_DIRECTORY}
fi
_CURRENT_DATE=`date +"%Y%m%d"`
_START_QPID_LOG="${_QPID_LOG_DIRECTORY}/start-qpid-${_CURRENT_DATE}.log"
# default path
export PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
# add AWIPS II java to the path
export JAVA_HOME=${JAVA_INSTALL}
export PATH=${JAVA_INSTALL}/bin:$PATH
export LD_LIBRARY_PATH=${JAVA_INSTALL}/lib
# add AWIPS II qpid to the path
export PATH=${QPID_INSTALL}/bin:$PATH
# set QPID_HOME
export QPID_HOME=${QPID_INSTALL}
function startQPID()
{
# first, verify that qpid is not already running
statusQPID > /dev/null 2>&1
if [ $? -eq 0 ]; then
echo "QPID is already running."
statusQPID
return 1
fi
# qpid is not running
# prepare to start qpid
echo -n "Starting QPID"
nohup su ${_QPID_USER} -c "/bin/bash ${_QPID_SERVER} >> ${_START_QPID_LOG} 2>&1" > /dev/null &
if [ $? -ne 0 ]; then
# failed to start the qpid server
failure
echo
return 1
fi
# give qpid time to start
sleep 10
# verify that qpid has started and is still running
statusQPID > /dev/null 2>&1
if [ $? -eq 0 ]; then
success
echo
return 0
else
failure
echo
return 1
fi
}
function stopQPID()
{
# first, verify that qpid is running
statusQPID > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo "QPID is not running."
return 1
fi
# prepare to stop qpid
echo -n "Stopping QPID"
nohup su ${_QPID_USER} -c "/bin/bash ${_QPID_STOPALL}" > /dev/null 2>&1
if [ $? -ne 0 ]; then
failure
return 1
fi
# give qpid time to stop
sleep 10
# verify that qpid has stopped
statusQPID > /dev/null 2>&1
if [ $? -eq 0 ]; then
# the shutdown was not successful
failure
echo
return 1
else
# the shutdown was was successful
success
echo
return 0
fi
}
function restartQPID()
{
stopQPID
if [ $? -ne 0 ]; then
return 1
fi
startQPID
return $?
}
function statusQPID()
{
# attempt to retrieve the qpid pid from the process table
pid=`ps aux | grep [j]ava\ -server\ -DPNAME=QPBRKR | grep [o]rg.apache.qpid.server.Main | awk '{print $2}'`
if [ $? -ne 0 ]; then
echo "Failed to determine the status of QPID!"
return 1
fi
if [ "${pid}" = "" ]; then
echo "QPID is not running."
return 1
else
echo "QPID is running with pid ... ${pid}."
fi
return 0
}
# determine which command was executed
_command=${1}
case ${_command} in
start)
startQPID
returnCode=$?
;;
stop)
stopQPID
returnCode=$?
;;
restart)
echo "Restarting QPID"
restartQPID
returnCode=$?
;;
status)
statusQPID
returnCode=$?
;;
*)
# display usage message
echo "Usage: $0 {start|stop|restart|status}" 1>&2
exit 1
;;
esac
exit ${returnCode}

View file

@ -0,0 +1,13 @@
org.apache.commons.cli/commons-cli-1.2.jar
org.apache.commons.logging/commons-logging-1.1.1.jar
org.slf4j/slf4j-log4j12-1.6.1.jar
org.apache.ws.security/xalan-2.7.1.jar
org.apache.commons.beanutils/commons-beanutils-1.8.3.jar
org.apache.commons.digester/commons-digester-1.8.1.jar
org.apache.commons.codec/commons-codec-1.4.jar
org.apache.commons.lang/commons-lang-2.3.jar
org.apache.commons.collections/commons-collections-3.2.jar
org.apache.commons.configuration/commons-configuration-1.6.jar
org.codehaus.jackson/jackson-core-asl-1.7.3.jar
org.codehaus.jackson/jackson-mapper-asl-1.7.3.jar
org.junit/mockito-all-1.9.0.jar

Binary file not shown.

View file

@ -0,0 +1,13 @@
diff --git a/qpid/java/build.xml b/qpid/java/build.xml
index a41cff4..06e8c8a 100644
--- a/qpid/java/build.xml
+++ b/qpid/java/build.xml
@@ -161,7 +161,7 @@
<touch file="${qpid.jar}"/>
</target>
- <target name="build" depends="retrieve-dependencies" description="build the project">
+ <target name="build" description="build the project">
<iterate target="build"/>
<antcall target="manifest"/>
</target>

View file

@ -0,0 +1,106 @@
<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
-
- Licensed to the Apache Software Foundation (ASF) under one
- or more contributor license agreements. See the NOTICE file
- distributed with this work for additional information
- regarding copyright ownership. The ASF licenses this file
- to you under the Apache License, Version 2.0 (the
- "License"); you may not use this file except in compliance
- with the License. You may obtain a copy of the License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
- Unless required by applicable law or agreed to in writing,
- software distributed under the License is distributed on an
- "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
- KIND, either express or implied. See the License for the
- specific language governing permissions and limitations
- under the License.
-
-->
<broker>
<prefix>${QPID_HOME}</prefix>
<work>${QPID_WORK}</work>
<conf>${prefix}/etc</conf>
<plugin-directory>${QPID_HOME}/lib/plugins</plugin-directory>
<cache-directory>${QPID_WORK}/cache</cache-directory>
<connector>
<!-- To enable SSL edit the keystorePath and keystorePassword
and set enabled to true.
To disable Non-SSL port set sslOnly to true -->
<ssl>
<enabled>false</enabled>
<port>5671</port>
<sslOnly>false</sslOnly>
<keyStorePath>/path/to/keystore.ks</keyStorePath>
<keyStorePassword>keystorepass</keyStorePassword>
</ssl>
<port>5672</port>
<socketReceiveBuffer>262144</socketReceiveBuffer>
<socketSendBuffer>262144</socketSendBuffer>
</connector>
<management>
<enabled>true</enabled>
<jmxport>
<registryServer>8999</registryServer>
<!--
If unspecified, connectorServer defaults to 100 + registryServer port.
<connectorServer>9099</connectionServer>
-->
</jmxport>
<ssl>
<enabled>false</enabled>
<!-- Update below path to your keystore location. -->
<keyStorePath>${conf}/qpid.keystore</keyStorePath>
<keyStorePassword>password</keyStorePassword>
</ssl>
<https>
<enabled>false</enabled>
</https>
</management>
<advanced>
<framesize>65535</framesize>
<locale>en_US</locale>
</advanced>
<security>
<pd-auth-manager>
<principal-database>
<class>org.apache.qpid.server.security.auth.database.PlainPasswordFilePrincipalDatabase</class>
<attributes>
<attribute>
<name>passwordFile</name>
<value>${conf}/passwd</value>
</attribute>
</attributes>
</principal-database>
</pd-auth-manager>
<!-- By default, all authenticated users have permissions to perform all actions -->
<!-- ACL Example
This example illustrates securing the both Management (JMX) and Messaging.
<acl>${conf}/broker_example.acl</acl>
-->
<msg-auth>false</msg-auth>
</security>
<virtualhosts>${conf}/virtualhosts.xml</virtualhosts>
<heartbeat>
<delay>0</delay>
<timeoutFactor>2.0</timeoutFactor>
</heartbeat>
<queue>
<auto_register>true</auto_register>
</queue>
<status-updates>ON</status-updates>
</broker>

View file

@ -0,0 +1,64 @@
diff -crB a/qpid/java/build.deps b/qpid/java/build.deps
*** a/qpid/java/build.deps 2013-01-23 13:54:15.000000000 -0600
--- b/qpid/java/build.deps 2013-01-23 13:52:28.000000000 -0600
***************
*** 19,29 ****
commons-beanutils-core=lib/required/commons-beanutils-core-1.8.3.jar
commons-cli=lib/required/commons-cli-1.2.jar
! commons-codec=lib/required/commons-codec-1.6.jar
commons-collections=lib/required/commons-collections-3.2.1.jar
! commons-configuration=lib/required/commons-configuration-1.8.jar
commons-digester=lib/required/commons-digester-1.8.1.jar
! commons-lang=lib/required/commons-lang-2.6.jar
commons-logging=lib/required/commons-logging-1.1.1.jar
derby-db=lib/required/derby-10.8.2.2.jar
--- 19,29 ----
commons-beanutils-core=lib/required/commons-beanutils-core-1.8.3.jar
commons-cli=lib/required/commons-cli-1.2.jar
! commons-codec=lib/required/commons-codec-1.4.jar
commons-collections=lib/required/commons-collections-3.2.1.jar
! commons-configuration=lib/required/commons-configuration-1.6.jar
commons-digester=lib/required/commons-digester-1.8.1.jar
! commons-lang=lib/required/commons-lang-2.3.jar
commons-logging=lib/required/commons-logging-1.1.1.jar
derby-db=lib/required/derby-10.8.2.2.jar
***************
*** 45,51 ****
slf4j-api=lib/required/slf4j-api-1.6.4.jar
slf4j-log4j=lib/required/slf4j-log4j12-1.6.4.jar
! xalan=lib/required/xalan-2.7.0.jar
jetty=lib/required/jetty-server-7.6.3.v20120416.jar
jetty-continuation=lib/required/jetty-continuation-7.6.3.v20120416.jar
--- 45,51 ----
slf4j-api=lib/required/slf4j-api-1.6.4.jar
slf4j-log4j=lib/required/slf4j-log4j12-1.6.4.jar
! xalan=lib/required/xalan-2.7.1.jar
jetty=lib/required/jetty-server-7.6.3.v20120416.jar
jetty-continuation=lib/required/jetty-continuation-7.6.3.v20120416.jar
***************
*** 63,70 ****
felix.libs=${felix-main}
! jackson-core=lib/required/jackson-core-asl-1.9.0.jar
! jackson-mapper=lib/required/jackson-mapper-asl-1.9.0.jar
commons-configuration.libs = ${commons-beanutils-core} ${commons-digester} \
${commons-codec} ${commons-lang} ${commons-collections} ${commons-configuration}
--- 63,70 ----
felix.libs=${felix-main}
! jackson-core=lib/required/jackson-core-asl-1.7.3.jar
! jackson-mapper=lib/required/jackson-mapper-asl-1.7.3.jar
commons-configuration.libs = ${commons-beanutils-core} ${commons-digester} \
${commons-codec} ${commons-lang} ${commons-collections} ${commons-configuration}

View file

@ -0,0 +1,96 @@
From 4acdbf975c076c2c49e7e2436065ca7d18dfab20 Mon Sep 17 00:00:00 2001
From: rajith <rajith@redhat.com>
Date: Wed, 16 Jun 2010 16:37:11 -0400
Subject: [PATCH 02/52] These two files are not present in upstream and we currently carry them as a patch.
The reason being that the run_example.sh is tailored specific for the linux env.
Including the example.log4j depends on how the release artefacts will look like for the 0.7 qpid release.
---
qpid/java/client/example/bin/run_example.sh | 43 +++++++++++++++++++++++++++
qpid/java/client/example/example.log4j | 27 +++++++++++++++++
2 files changed, 70 insertions(+), 0 deletions(-)
create mode 100644 qpid/java/client/example/bin/run_example.sh
create mode 100644 qpid/java/client/example/example.log4j
diff --git a/qpid/java/client/example/bin/run_example.sh b/qpid/java/client/example/bin/run_example.sh
new file mode 100644
index 0000000..5bd0e99
--- /dev/null
+++ b/qpid/java/client/example/bin/run_example.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# set the CLASSPATH
+QPID_DEPS=`find /usr/share/java/qpid-deps/*.jar | tr '\n' ":"`
+QPID_JARS=`find /usr/share/java -name 'qpid-client*.jar' -or -name 'qpid-common*.jar' | tr '\n' ":"`
+LOG4J="/usr/share/java/log4j.jar"
+QPID_CLASSPATH=$QPID_DEPS$LOG4J:$QPID_JARS
+
+# compile the samples
+javac -cp "$QPID_CLASSPATH" -sourcepath "$PWD" -d . `find $PWD -name '*.java'`
+
+# Add output classes to CLASSPATH
+QPID_CLASSPATH="$PWD:$QPID_CLASSPATH"
+
+
+# Check if the user supplied a sample classname
+if test "'x$1'" = "'x'"
+then
+ echo "No sample classname specified"
+ exit;
+else
+ java -cp $QPID_CLASSPATH -Dlog4j.configuration=example.log4j "$@"
+fi
+
diff --git a/qpid/java/client/example/example.log4j b/qpid/java/client/example/example.log4j
new file mode 100644
index 0000000..50b4ed2
--- /dev/null
+++ b/qpid/java/client/example/example.log4j
@@ -0,0 +1,27 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+log4j.logger.org.apache.qpid=WARN, console
+log4j.additivity.org.apache.qpid=false
+
+
+log4j.appender.console=org.apache.log4j.ConsoleAppender
+log4j.appender.console.Threshold=all
+log4j.appender.console.layout=org.apache.log4j.PatternLayout
+log4j.appender.console.layout.ConversionPattern=%t %d %p [%c{4}] %m%n

File diff suppressed because it is too large Load diff

Binary file not shown.

Binary file not shown.

View file

@ -0,0 +1,36 @@
<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
-
- Licensed to the Apache Software Foundation (ASF) under one
- or more contributor license agreements. See the NOTICE file
- distributed with this work for additional information
- regarding copyright ownership. The ASF licenses this file
- to you under the Apache License, Version 2.0 (the
- "License"); you may not use this file except in compliance
- with the License. You may obtain a copy of the License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
- Unless required by applicable law or agreed to in writing,
- software distributed under the License is distributed on an
- "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
- KIND, either express or implied. See the License for the
- specific language governing permissions and limitations
- under the License.
-
-->
<virtualhosts>
<default>edex</default>
<virtualhost>
<name>edex</name>
<edex>
<store>
<class>org.apache.qpid.server.store.derby.DerbyMessageStore</class>
<environment-path>${QPID_WORK}/messageStore</environment-path>
</store>
</edex>
</virtualhost>
</virtualhosts>

View file

@ -0,0 +1,389 @@
Name: qpid-java
Version: 0.18
Release: 2%{?dist}
Summary: Java implementation of Apache Qpid
License: Apache Software License
Group: Development/Java
URL: http://qpid.apache.org/
%global qpid_src_dir qpid-%{version}
%global qpid_deps_src_dir qpid-deps-%{version}
Source0: %{qpid_src_dir}.tar.gz
Source1: qpid-build-deps-%{version}.tar.gz
Source2: %{qpid_deps_src_dir}.tar.gz
Patch0: mrg.patch
Patch1: examples.patch
Patch2: build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: ant >= 1.6.5
BuildRequires: ant-nodeps >= 1.6.5
BuildRequires: java-devel >= 1.6.0
BuildRequires: ant-trax >= 1.6.5
%description
Java implementation of Apache Qpid.
%package common
Summary: Java implementation of Apache Qpid - common files
Group: Development/Java
BuildArch: noarch
%description common
Java implementation of Apache Qpid - common files
%package client
Summary: Java implementation of Apache Qpid - client
Group: Development/Java
BuildArch: noarch
Requires: qpid-java-common = %{version}-%{release}
Requires: log4j >= 1.2.12
%description client
Java implementation of Apache Qpid - client
%package example
Summary: Java implementation of Apache Qpid - example
Group: Development/Java
BuildArch: noarch
Requires: qpid-java-client = %{version}-%{release}
%description example
Java implementation of Apache Qpid - example
%prep
%setup -q -n %{qpid_src_dir}
mkdir -p java/lib/required
tar -xvzf %SOURCE1 -C java/lib/required
%patch0 -p2
%patch1 -p2
%patch2 -p2
%setup -q -T -b 2 -n %{qpid_deps_src_dir}
%build
cd ..
(
cd %{qpid_src_dir}/java
ant -Dretrieve.dependencies=false -Dmodules=common\ client
# blacklisted jars are either provided by the Requires: or not needed.
BLACKLIST="slf4j qpid-client-tests qpid-all qpid-common-tests"
for jar in $BLACKLIST; do rm build/lib/${jar}*.jar; done
)
(cd %{qpid_deps_src_dir}; ant -Dqpid-src-dir=../%{qpid_src_dir}/java -Dversion=%{version})
%install
rm -rf %{buildroot}
cd ..
install -dm 755 %{buildroot}%{_javadir}
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}.jar %{buildroot}%{_javadir}
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}-sources.jar %{buildroot}%{_javadir}
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}.jar %{buildroot}%{_javadir}
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}-sources.jar %{buildroot}%{_javadir}
install -dm 755 %{buildroot}%{_javadir}/qpid-deps
install -pm 644 %{qpid_src_dir}/java/build/lib/log4j-slf4j.jar %{buildroot}%{_javadir}/qpid-deps
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-deps-%{version}.jar %{buildroot}%{_javadir}/qpid-deps
# examples
install -dm 755 %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/*.java \
%{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/hello.properties \
%{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/example.log4j \
%{buildroot}%{_docdir}/%{name}-%{version}/examples/
install -pm 755 %{qpid_src_dir}/java/client/example/bin/run_example.sh \
%{buildroot}%{_docdir}/%{name}-%{version}/examples/
%clean
rm -rf %{buildroot}
%files common
%defattr(-,root,root,-)
%{_javadir}/qpid-deps/
%{_javadir}/qpid-common-%{version}.jar
%{_javadir}/qpid-common-%{version}-sources.jar
%doc ../%{qpid_src_dir}/java/resources/LICENSE
%doc ../%{qpid_src_dir}/java/resources/NOTICE
%files client
%defattr(-,root,root,-)
%{_javadir}/qpid-client-%{version}.jar
%{_javadir}/qpid-client-%{version}-sources.jar
%files example
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/examples/
%changelog
* Thu Sep 6 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2
- Resolved bz 851574
* Tue Jul 10 2012 Justin Ross <jross@redhat.com> - 0.18-1
- Refactored spec file to use standard Qpid source export
- Rebased to Qpid 0.18 beta source
* Thu Feb 23 2012 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-3
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Thu Feb 16 2012 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-2
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Mon Dec 12 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-1
- Rebased the client to use the Qpid 0.14 RC1 source.
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Fri Sep 23 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.10-11
- Added new qpid-java-jca-zip package which wraps a zip of everything
in qpid jca.
- Make qpid-deps jar have correct 0.10 version
- Updated patch to include latest Qpid JCA work:
BZ.738316
BZ 733383
BZ 736252
BZ 700500
BZ 707535
BZ 722614
BZ 735030
BZ 738615
BZ 700494
BZ 705913
BZ 723714
BZ 735384
BZ 736794
BZ 737880
BZ 735322
BZ 736785
* Tue Sep 14 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10-9
- Added a patch to account for changes between 0.10 and mrg_2.0.3 head rev on Sep 14th.
* Mon May 16 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-6
- Added a patch to account for changes between 0.10 and qpid-0.10-package-set-7 tags.
* Thu Apr 28 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.10.-5
- Removed jar file that was not meant to be in qpid-java-common
* Wed Apr 20 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-4
- Added a patch to account for changes between 0.10 and qpid-0.10-package-set-5 tags.
* Thu Apr 14 2011 Ted Ross <tross@redhat.com> - 0:0.10-3
- Added a patch to fix BZ694617
* Wed Apr 6 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-2
- Added a patch to include QPID-3177 which is included in the upstream 0.10 release.
- Fixed an error in the qpid-deps source tarball.
* Thu Mar 24 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-1
- Change the version from 0.10.1083082 to 0.10.
* Wed Mar 23 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.1083082-1
- Updated the source files to rev 1083082 in Qpid 0.10 branch.
* Thu Mar 10 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1080013-3
- Fixed issue that stopped deployment on JBoss 5
- Added sample deployment resource
- Added some JCA example code
- Added separate Readme for JBoss deployment
* Thu Mar 10 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1080013-2
- Updated JCA package added some documentation to it.
- Add qpid-deps jar into the qpid-ra rar file to supply dependencies for
qpid-common/qpid-client jars
* Wed Mar 9 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.9.1080013-1
- Updated the source files to rev 1080013 in Qpid 0.10 branch.
* Tue Mar 8 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1073306-3
- Changed JCA build to use source for jar dependents
* Wed Mar 2 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1073306-2
- Added new sub-package for JCA resource adapter
* Thu Feb 24 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.9.1073306-1
- Updated the source files to rev 1073306 in Qpid trunk.
* Thu Jan 27 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-15
- Applied another patch for BZ 656488, 672212.
* Wed Jan 12 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-14
- Applied patches for BZ 667428, 656488.
* Wed Nov 10 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-12
- Applied patches for BZ 645855
* Tue Oct 12 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-11
- Added "Obsoletes: qpid-java-qman <= 0.5.751061-9.el5" to the spec file.
* Wed Sep 22 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-10
- Applied patches for BZ 634794, 636097, 633969.
* Mon Sep 13 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-9
- Applied patches for BZ 626859.
* Mon Aug 30 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-8
- Applied patches for BZ 620808, 621395, 622619.
* Thu Jul 29 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-7
- Applied patches for BZ 616457, 614580, 618865, 618822, 614589, 513426, 619242.
* Mon Jul 12 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-6
- Applied patches for bz612531, bz612526, bz612535.
* Wed Jun 30 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-5
- Patches are now generated from git.
- Added a fix for bz608052
- Configured the javac target to 1.5 for dependencies
* Tue Jun 15 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-4
- For dependencies that are not available as rpms, they are now built from source.
- For commons lang, the required classes are now added as a patch, removing the required dependency.
* Mon May 24 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-3
- Fixed an error in the run_example script
- Added LICENSE and NOTICE to common rpm
* Mon May 24 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-2
- Added Drain and Spout examples
- Removed dependency from sl4j rpm, instead using the jar in qpid-deps
* Thu May 20 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-1
- Updated to rev 946106 of Qpid trunk
* Thu Apr 15 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.934605-1
- Updated to rev 934605 of Qpid trunk
* Tue Mar 2 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.918215-1
- Updated to rev 918215 of Qpid trunk
* Wed Feb 3 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.906145-1
- Updated to rev 906145 of Qpid trunk
- Stripped the qman package. The java broker is also not built anymore.
* Fri Oct 9 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-9
- Removing patch attached to bz494630
- Applying patch attached to bz493559
- Applying patch attached to bz509395
* Tue Jun 25 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-8
- Applying patch attached to bz506739
- Applying patch attached to bz507369
* Mon Jun 8 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.5.751061-7
- Applying the heartbeat echo patch from bz504590
* Thu Jun 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-6
- Applying the modified patch attached to bz503539
* Wed Jun 03 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-5
- Applying patch attached to bz503526
- Applying patch attached to bz503539
* Thu May 21 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-4
- Fixed an error in the spec file to apply all patches correctly
* Wed May 20 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-3
- Applying patch attached to bz500146
- Applying patch attached to bz501552
* Wed Apr 8 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-2
- Going back to revision 751061 of Qpid trunk
- Applying patch attached to bz494630
* Fri Mar 27 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.758820-1
- Updated to revision 758820 of the Qpid trunk
* Thu Mar 12 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-1
- Updated to revision 751061 of the Qpid trunk
* Wed Mar 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.750205-1
- Updated to revision 750205 of the Qpid trunk
* Fri Feb 13 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.743367-1
- Updated to revision 743367 of the Qpid trunk
* Mon Feb 09 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.742278-1
- Updated to revision 742278 of the Qpid trunk
* Wed Jan 28 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.738568-1
- Updated to revision 738568 of the Qpid trunk
- Removed thread patch as it's comitted to trunk
* Fri Jan 9 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.733043-2
- Updated to revision 733043 of the Qpid M4-RCs branch
* Mon Nov 19 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.724504-1
- Updated to revision 724504 of the qpid trunk
- Added the Qman package
- Applied the thread abstraction patch
* Mon Nov 10 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.712662-1
- Updated to revision 712662 of the qpid trunk
* Fri Oct 31 2008 Nuno Santos <nsantos@redhat.com> - 0:0.3.709187-1
- Rebased to svn rev 709187
* Mon Oct 28 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.708221-1
- Updated to revision 708221 of the qpid trunk
* Fri Aug 25 2008 Justin Ross <jross@redhat.com> - 0:0.2.687156-1
- Updated to revision 687156 of the qpid.0-10 branch
* Fri Aug 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.686136-1
- Updated to revision 686136 of the qpid.0-10 branch
* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0:0.2.668333-1
- Updated to source revision 668333
* Fri Jun 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.667615-1
- Updated to source revision 667615
* Mon Jun 11 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.666296-2
- Updated common dep and removed package broker
* Mon Jun 10 2008 Justin Ross <jross@redhat.com> - 0:0.2.666296-1
- Updated to source revision 666296
* Mon Jun 9 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.665769-1
- Updated to source revision 665769
* Thu May 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.656760-1
- Updated source tarballs instructions
- Added svn revision number to version
- Updated to source revision 656760
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-11
- changed version for solving version conflic
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-10
- changed some default network configuration
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-9
- Bumped release for Beta 4
* Fri Feb 15 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-9
- fix for deadlock exposed by TCK
* Wed Feb 13 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-8
- More bug fixes for Beta 3
* Tue Feb 12 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-7
- Bumped release for Beta 3 bug fixes
* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-6
- Bumped release for Beta 3
* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Initial build.

View file

@ -0,0 +1,244 @@
diff -crB a/qpid-java.spec b/qpid-java.spec
*** a/qpid-java.spec 2013-01-28 10:36:50.000000000 -0600
--- b/qpid-java.spec 2013-01-28 10:37:47.000000000 -0600
***************
*** 1,3 ****
--- 1,5 ----
+ %define _awips2_directory "/awips2/qpid"
+
Name: qpid-java
Version: 0.18
Release: 2%{?dist}
***************
*** 12,21 ****
--- 14,27 ----
Source0: %{qpid_src_dir}.tar.gz
Source1: qpid-build-deps-%{version}.tar.gz
Source2: %{qpid_deps_src_dir}.tar.gz
+ Source3: config.xml
+ Source4: virtualhosts.xml
+ Source5: awips2-qpid
Patch0: mrg.patch
Patch1: examples.patch
Patch2: build.patch
+ Patch3: awips.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
***************
*** 35,40 ****
--- 41,54 ----
%description common
Java implementation of Apache Qpid - common files
+ %package broker
+ Summary: Java implementation of Apache Qpid - broker files
+ Group: Development/Java
+ BuildArch: noarch
+
+ %description broker
+ Java implementation of Apache Qpid - broker files
+
%package client
Summary: Java implementation of Apache Qpid - client
Group: Development/Java
***************
*** 58,67 ****
--- 72,96 ----
%setup -q -n %{qpid_src_dir}
mkdir -p java/lib/required
tar -xvzf %SOURCE1 -C java/lib/required
+ # copy baseline libraries and other libraries to required
+ for dependency in `cat %{_topdir}/SOURCES/awips2/dependencies.txt`;
+ do
+ cp -f %{_baseline_workspace}/${dependency} java/lib/required
+ if [ $? -ne 0 ]; then
+ exit 1
+ fi
+ done
+ # copy dependencies that are not native to the baseline to required
+ cp -f %{_topdir}/SOURCES/awips2/*.jar java/lib/required
+ if [ $? -ne 0 ]; then
+ exit 1
+ fi
%patch0 -p2
%patch1 -p2
%patch2 -p2
+ # apply the awips patch
+ %patch3 -p2
%setup -q -T -b 2 -n %{qpid_deps_src_dir}
***************
*** 70,76 ****
(
cd %{qpid_src_dir}/java
! ant -Dretrieve.dependencies=false -Dmodules=common\ client
# blacklisted jars are either provided by the Requires: or not needed.
BLACKLIST="slf4j qpid-client-tests qpid-all qpid-common-tests"
--- 99,106 ----
(
cd %{qpid_src_dir}/java
! ant -Dretrieve.dependencies=false \
! -Dmodules=common\ client\ amqp-1-0-common\ amqp-1-0-client\ amqp-1-0-client-jms\ management/common\ broker
# blacklisted jars are either provided by the Requires: or not needed.
BLACKLIST="slf4j qpid-client-tests qpid-all qpid-common-tests"
***************
*** 84,130 ****
cd ..
! install -dm 755 %{buildroot}%{_javadir}
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}.jar %{buildroot}%{_javadir}
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}-sources.jar %{buildroot}%{_javadir}
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}.jar %{buildroot}%{_javadir}
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}-sources.jar %{buildroot}%{_javadir}
!
! install -dm 755 %{buildroot}%{_javadir}/qpid-deps
! install -pm 644 %{qpid_src_dir}/java/build/lib/log4j-slf4j.jar %{buildroot}%{_javadir}/qpid-deps
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-deps-%{version}.jar %{buildroot}%{_javadir}/qpid-deps
# examples
! install -dm 755 %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/*.java \
! %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/hello.properties \
! %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/example.log4j \
! %{buildroot}%{_docdir}/%{name}-%{version}/examples/
install -pm 755 %{qpid_src_dir}/java/client/example/bin/run_example.sh \
! %{buildroot}%{_docdir}/%{name}-%{version}/examples/
%clean
rm -rf %{buildroot}
%files common
! %defattr(-,root,root,-)
! %{_javadir}/qpid-deps/
! %{_javadir}/qpid-common-%{version}.jar
! %{_javadir}/qpid-common-%{version}-sources.jar
! %doc ../%{qpid_src_dir}/java/resources/LICENSE
! %doc ../%{qpid_src_dir}/java/resources/NOTICE
%files client
! %defattr(-,root,root,-)
! %{_javadir}/qpid-client-%{version}.jar
! %{_javadir}/qpid-client-%{version}-sources.jar
%files example
! %defattr(-,root,root,-)
! %{_docdir}/%{name}-%{version}/examples/
%changelog
* Thu Sep 6 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2
--- 114,216 ----
cd ..
! install -dm 755 %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}-sources.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}-sources.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-broker-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-broker-%{version}-sources.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
!
! # scripts for broker
! install -dm 755 %{buildroot}%{_awips2_directory}/bin
! install -pm 644 %{qpid_src_dir}/java/build/bin/* %{buildroot}%{_awips2_directory}/bin
!
! install -dm 755 %{buildroot}%{_awips2_directory}/lib/opt/qpid-deps
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-deps-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt/qpid-deps
!
! # service script
! mkdir -p %{buildroot}/etc/init.d
! install -pm 755 %SOURCE5 %{buildroot}/etc/init.d
!
! # qpid configuration
! install -dm 755 %{buildroot}%{_awips2_directory}/etc
! install -pm 644 %{qpid_src_dir}/java/broker/etc/* \
! %{buildroot}%{_awips2_directory}/etc
! # overwrite the default configuration with the AWIPS II configuration
! install -pm 644 %SOURCE3 %{buildroot}%{_awips2_directory}/etc
! install -pm 644 %SOURCE4 %{buildroot}%{_awips2_directory}/etc
!
! # foss dependencies
! install -pm 644 %{qpid_src_dir}/java/lib/required/*.jar \
! %{buildroot}%{_awips2_directory}/lib/opt/qpid-deps
!
! # license & notice
! install -pm 644 %{qpid_src_dir}/java/resources/LICENSE \
! %{buildroot}%{_awips2_directory}
! install -pm 644 %{qpid_src_dir}/java/resources/NOTICE \
! %{buildroot}%{_awips2_directory}
# examples
! install -dm 755 %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/*.java \
! %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/hello.properties \
! %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/example.log4j \
! %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/
install -pm 755 %{qpid_src_dir}/java/client/example/bin/run_example.sh \
! %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/
%clean
rm -rf %{buildroot}
%files common
! %defattr(-,awips,fxalpha,-)
! %dir /awips2/qpid
! %dir /awips2/qpid/lib
! %dir /awips2/qpid/lib/opt
! /awips2/qpid/lib/opt/qpid-common-%{version}.jar
! /awips2/qpid/lib/opt/qpid-common-%{version}-sources.jar
! %dir /awips2/qpid/lib/opt/qpid-deps
! /awips2/qpid/lib/opt/qpid-deps/*
! %doc /awips2/qpid/LICENSE
! %doc /awips2/qpid/NOTICE
%files client
! %defattr(-,awips,fxalpha,-)
! %dir /awips2/qpid
! %dir /awips2/qpid/lib
! %dir /awips2/qpid/lib/opt
! /awips2/qpid/lib/opt/qpid-client-%{version}.jar
! /awips2/qpid/lib/opt/qpid-client-%{version}-sources.jar
!
! %files broker
! %defattr(-,awips,fxalpha,-)
! %dir /awips2/qpid
! %dir /awips2/qpid/lib
! %dir /awips2/qpid/lib/opt
! /awips2/qpid/lib/opt/qpid-broker-%{version}.jar
! /awips2/qpid/lib/opt/qpid-broker-%{version}-sources.jar
! %defattr(755,awips,fxalpha,755)
! %dir /awips2/qpid/bin
! /awips2/qpid/bin/*
! %dir /awips2/qpid/etc
! /awips2/qpid/etc/*
! %defattr(755,root,root,755)
! /etc/init.d/awips2-qpid
%files example
! %defattr(-,awips,fxalpha,-)
! /awips2/qpid/doc/%{name}-%{version}/examples/
%changelog
* Thu Sep 6 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2

View file

@ -0,0 +1,59 @@
#!/bin/bash
# Verify that the workspace has been specified
if [ -z ${WORKSPACE} ]; then
echo "Error: the location of the baseline workspace must be specified using the WORKSPACE environment variable."
exit 1
fi
__SPECS=qpid-java.spec
__SPECS_PATCH0=qpid-java.spec.patch0
# apply the rpm specification patch
cd ../SPECS
if [ $? -ne 0 ]; then
exit 1
fi
patch -p1 -i ${__SPECS_PATCH0}
if [ $? -ne 0 ]; then
exit 1
fi
pushd . > /dev/null
cd ../
export TOPDIR=`pwd`
# create the rpm directory structure
if [ -d ${TOPDIR}/BUILD ]; then
rm -rf ${TOPDIR}/BUILD
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/BUILD
if [ -d ${TOPDIR}/RPMS ]; then
rm -rf ${TOPDIR}/RPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/RPMS
if [ -d ${TOPDIR}/SRPMS ]; then
rm -rf ${TOPDIR}/SRPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/SRPMS
# build the rpm
rpmbuild -ba \
--define "_topdir ${TOPDIR}" \
--define "_baseline_workspace ${WORKSPACE}" \
SPECS/${__SPECS}
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null
exit 0

View file

Before

Width:  |  Height:  |  Size: 52 KiB

After

Width:  |  Height:  |  Size: 52 KiB

10
rpms/awips2.qpid/0.7/build.sh Executable file
View file

@ -0,0 +1,10 @@
#!/bin/sh
#Add local dir processing
PATH_TO_HERE=`dirname $0`
cd $PATH_TO_HERE
export TOP_DIR=`pwd`
echo $TOP_DIR
rpmbuild -ba --target=i386 --define "_topdir $TOP_DIR" SPECS/qpid-cpp-mrg.spec

View file

@ -36,9 +36,9 @@ export QPID_WORKSPACE_DIR=`pwd`
if [ -d ${QPID_WORKSPACE_DIR}/BUILD ]; then
rm -rf ${QPID_WORKSPACE_DIR}/BUILD/*
fi
# Purge the RPMS/i386 directory, if necessary.
# Purge the RPMS directory, if necessary.
if [ -d ${QPID_WORKSPACE_DIR}/RPMS/i386 ]; then
rm -rf ${QPID_WORKSPACE_DIR}/RPMS/i386/*
rm -rf ${QPID_WORKSPACE_DIR}/RPMS/*
fi
if [ ! -d ${QPID_WORKSPACE_DIR}/BUILD ]; then

63
rpms/awips2.qpid/build.sh Executable file → Normal file
View file

@ -1,10 +1,59 @@
#!/bin/sh
#!/bin/bash
#Add local dir processing
PATH_TO_HERE=`dirname $0`
cd $PATH_TO_HERE
# determine where the script is
path_to_script=`readlink -f $0`
dir=$(dirname $path_to_script)
export TOP_DIR=`pwd`
echo $TOP_DIR
rpmbuild -ba --target=i386 --define "_topdir $TOP_DIR" SPECS/qpid-cpp-mrg.spec
# this script will build both versions of qpid unless an argument is passed
# to it with the version of qpid to build.
function build018()
{
pushd . > /dev/null 2>&1
cd ${dir}/0.18/deploy.builder
if [ $? -ne 0 ]; then
return 1
fi
/bin/bash build.sh
if [ $? -ne 0 ]; then
return 1
fi
popd > /dev/null 2>&1
}
function build07()
{
pushd . > /dev/null 2>&1
cd ${dir}/0.7/deploy.builder
if [ $? -ne 0 ]; then
return 1
fi
/bin/bash build.sh
if [ $? -ne 0 ]; then
return 1
fi
popd > /dev/null 2>&1
}
VERSION_TO_BUILD="${1}"
if [ "${1}" = "0.7" ]; then
build07
exit $?
fi
if [ "${1}" = "0.18" ]; then
build018
exit $?
fi
# no version specified; build both
build07
if [ $? -ne 0 ]; then
exit 1
fi
build018
if [ $? -ne 0 ]; then
exit 1
fi
exit 0

View file

@ -7,7 +7,7 @@ function buildQPID()
pushd . > /dev/null 2>&1
cd ${WORKSPACE}/rpms/awips2.qpid/deploy.builder
cd ${WORKSPACE}/rpms/awips2.qpid
if [ $? -ne 0 ]; then
echo "ERROR: Failed to build the qpid rpms."
return 1
@ -19,58 +19,88 @@ function buildQPID()
return 1
fi
cd ${WORKSPACE}/rpms/awips2.qpid
if [ ! -d RPMS/i386 ]; then
echo "ERROR: Unable to locate the rpms that were built."
# ensure that the destination rpm directories exist
if [ ! -d ${AWIPSII_TOP_DIR}/RPMS/noarch ]; then
mkdir -p ${AWIPSII_TOP_DIR}/RPMS/noarch
if [ $? -ne 0 ]; then
exit 1
fi
fi
if [ ! -d ${AWIPSII_TOP_DIR}/RPMS/i386 ]; then
mkdir -p ${AWIPSII_TOP_DIR}/RPMS/i386
if [ $? -ne 0 ]; then
exit 1
fi
fi
pushd . > /dev/null 2>&1
# Copy the 0.18 qpid rpms
cd 0.18/RPMS/noarch
if [ $? -ne 0 ]; then
echo "ERROR: Failed to build Qpid v0.18."
return 1
fi
/bin/cp -v *.rpm ${AWIPSII_TOP_DIR}/RPMS/noarch
if [ $? -ne 0 ]; then
return 1
fi
popd > /dev/null 2>&1
pushd . > /dev/null 2>&1
# Copy the 0.7 qpid rpms
cd 0.7/RPMS/i386
if [ $? -ne 0 ]; then
echo "ERROR: Failed to build Qpid v0.7."
return 1
fi
# Copy the qpid rpms from the local build directory to the rpm
# "staging" directory.
/bin/cp RPMS/i386/awips2-qpid-client-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386
/bin/cp -v awips2-qpid-client-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386/
if [ $? -ne 0 ]; then
exit 1
return 1
fi
/bin/cp RPMS/i386/awips2-qpid-server-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386
/bin/cp -v awips2-qpid-server-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386/
if [ $? -ne 0 ]; then
exit 1
return 1
fi
/bin/cp RPMS/i386/awips2-qpid-server-store-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386
/bin/cp -v awips2-qpid-server-store-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386/
if [ $? -ne 0 ]; then
exit 1
return 1
fi
# if the -ade argument has been specified. Also copy the qpid
# devel rpms.
if [ "${1}" = "-ade" ]; then
/bin/cp RPMS/i386/awips2-qpid-client-devel-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386
/bin/cp -v awips2-qpid-client-devel-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386/
if [ $? -ne 0 ]; then
exit 1
return 1
fi
/bin/cp RPMS/i386/awips2-qpid-client-devel-docs-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386
/bin/cp -v awips2-qpid-client-devel-docs-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386/
if [ $? -ne 0 ]; then
exit 1
return 1
fi
/bin/cp RPMS/i386/awips2-qpid-server-devel-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386
/bin/cp -v awips2-qpid-server-devel-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386/
if [ $? -ne 0 ]; then
exit 1
return 1
fi
/bin/cp RPMS/i386/qpid-cpp-mrg-debuginfo-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386
/bin/cp qpid-cpp-mrg-debuginfo-0.7.946106-*.i386.rpm \
${AWIPSII_TOP_DIR}/RPMS/i386/
if [ $? -ne 0 ]; then
exit 1
return 1
fi
fi
popd > /dev/null 2>&1
popd > /dev/null 2>&1
return 0